<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <style>
      body{
        background-color: burlywood;
        margin-top: 25px;
        margin-left: 40px;
        margin-right: 40px;
        font-family: Arial, Helvetica, sans-serif;
        line-height: 150%;
      }
      
      hr{
        border-top: 5px solid rgb(92, 27, 27);
      }

      .header-main{
        height:50px;
      }
      .header-right{
        float:right;
      }

      .mainTitle{
        font-size: 30px;
        padding: 10px;
        float:left;
      }

      body th{
        background-color:rgb(184, 157, 122);
      }
      table{
        width:100%;
        border-collapse: collapse;
        background-color:antiquewhite;
      }

      table, tr, td, th {
        border: 2px solid black;
        padding : 10px;
      }

      .header-right a:hover {
        background-color: rgb(158, 84, 55);
        color: rgb(255, 255, 255);
      }


      .header-right a {
        float: left;
        color: black;
        text-align: center;
        padding: 10px;
        text-decoration: none;
        font-size: 18px; 
        line-height: 25px;
        border-radius: 4px;
      }

    </style>
  </head>
  <body>
    <header class="head">
      <div class="header-main">
        <b class="mainTitle">Lab 4</b>
        <div class="header-right">
            <a href="http://localhost:8000/lab-4/">Note Lists</a>
            <a href="http://localhost:8000/lab-4/note-list">Note Cards</a>
            <a href="http://localhost:8000/lab-4/add-note">Add new Note</a>
        </div>
      </div>
      
      <hr>
      
    </header>
    <h2>Notes</h2>
    <table>
        <tr>
          <th>
            To
          </th>
          <th>
            From
          </th>
          <th>
            Note
          </th>
        </tr>
        {% for Note in note %}
        <tr>
          <td>To : {{Note.To}}</td>
          <td>From : {{Note.From}}</td>
          <td>
            <b>{{Note.Title}}</b><br>
            <p>{{Note.Message}}</p>
            <br>
          </td>
        </tr>
        {% endfor %}
      <!-- EXAMPLE SECTION -->
      <!-- END SECTION -->
    </table>
  </body>
</html>
